body {
    background-color: #ECF0F0 !important;
    font-family: 'Helvetica Neue' !important;
}

main .wrapper {
    max-width: 1070px;
    font-family: 'Inter', sans-serif;
}

.event-banner {
    background-color: #ffffff;
    border-radius: 32px;
    max-height: 750px;
    margin-top: 32px;
    overflow: hidden;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.upcoming-event-info {
    padding: 43px 0 57px 70px;
    background-repeat: no-repeat;
    background-position: -100vh;
}

span.upcoming-next-span {
    color: #959994;
    font-size: 12px;
    line-height: 15px;
}

.upcoming-meta {
    margin: 15px 0 8px 0;
    display: flex;
}

.upcoming-date {
    width: 100%;
    height: 100%;
    max-width: 58px;
    max-height: 58px;
    min-width: 58px;
    min-height: 58px;
    background-color: #3E3E3E;
    border-radius: 4px;
    padding: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 4px;
}

.upcoming-date span {
    line-height: 20px;
    letter-spacing: -0.02em;
    color: #fff;
    text-transform: uppercase;
}

.upcoming-date-day {
    font-weight: 400;
    font-size: 19px;
    align-items: center;
    text-align: center;
}

.upcoming-date-month {
    font-weight: 400;
    font-size: 12px;
}

.upcoming-date.upcoming-black {
    background-color: var(--body-caption);
}

.upcoming-date.upcoming-black span {
    color: var(--body-text-off);
}

.upcoming-data {
    margin-left: 16px;
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    color: #878592;
    font-weight: 600;
}

.upcoming-time {
    color: #9EA29D;
    margin-bottom: 4px;
    font-weight: 500;
}

.upcoming-title {
    max-width: 332px;
    width: fit-content;
    position: relative;
    font-size: 36px;
    line-height: 100%;
}

.upcoming-join {
    font-weight: 700;
    font-size: 11px;
    line-height: 100%;
    text-align: center;
    color: #59603D;
    transform: rotate(-2deg);
    padding: 5px 9px 6px 12px;
    background-color: var(--second-green);
    border-radius: 16px;
    text-transform: uppercase;
    display: block;
    position: absolute;
    right: 0;
    bottom: -20px;
    pointer-events: none;
    font-family: 'Inter', sans-serif;
}

.banner_buttons {
    margin-top: 69px;
}

.banner_button {
    display: inline-block;
}

.banner_buttons .transparent-btn {
    color: #646464;
}

.banner_buttons .transparent-btn:hover {
    color: var(--body-text);
}

.banner_buttons a {
    font-size: 12px;
    font-weight: 500;
    line-height: 100%;
    padding: 14px 32px;
}

.upcoming-event-image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    max-height: 750px;
    max-width: 750px;
    background-color: #FBFAFB;
}

.upcoming-event-image img {
    width: 75%;
    height: 75%;
    object-fit: contain;
}

/* bennefit */
.event-benefit {
    display: flex;
    justify-content: center;
    padding: 32px 64px 64px 64px;
}

.benefit-box {
    display: flex;
    width: 388px;
    padding: 0 25px;
    position: relative;
}

.benefit-image-box {
    width: 30px;
    height: 14px;
    position: relative;
}

.benefit-title {
    font-weight: 600;
    font-size: 14px;
    line-height: 100%;
    color: #5C5D5D;
    margin-bottom: 4px;
}

.benefit-description {
    font-size: 10px;
}

.benefit-description p {
    margin: 0;
}

.benefit-image-box:after {
    font-family: 'icomoon';
    position: absolute;
    font-size: 14px;
    width: 14px;
    height: 14px;
    top: 3px;
    line-height: 100%;
    color: var(--main-flame);
}

.benefit-box:nth-child(2) {
    border-left: 1px solid var(--gray-400);
    border-right: 1px solid var(--gray-400);
}

.benefit-box:nth-child(1) .benefit-image-box:after {
    content: "\e913";
}

.benefit-box:nth-child(2) .benefit-image-box:after {
    content: "\e911";
}

.benefit-box:nth-child(3) .benefit-image-box:after {
    content: "\e912";
}

.benefit-box .benefit-arrow-box {
    position: absolute;
    right: 20px;
    top: -5px;
}

.benefit-box .benefit-arrow-box:after {
    position: relative;
    content: "\e901";
    font-family: 'icomoon';
    font-size: 16px;
}

/* Extra events */
.extra-events {
    margin-top: 23px;
    display: flex;
    background-color: var(--second-green);
    padding: 25px 70px;
    border-radius: 32px;
    justify-content: space-between;
    align-items: center;
}

.extra-info {
    display: flex;
    align-items: center;
    justify-content: center;
}

.extra-title {
    max-width: 58px;
    margin-right: 32px;
    font-size: 20px;
    line-height: 25px;
    color: #36382C;
}

.extra-sub_title {
    font-size: 11.3px;
    line-height: 16.7px;
    color: #677045;
}

.extra-sub_title p {
    margin: 0;
}

.extra-button {
    display: block;
    font-size: 12px;
    line-height: 100%;
    padding: 12px 40px;
    font-weight: 400;
    border: 1px inset #383A2D;
    line-height: 18px;
}

/* Search */
.search-events {
    margin-top: 12px;
    background-color: var(--body-text-off);
    border-radius: 30px;
    margin-bottom: 80px;
    overflow: hidden;
    font-family: 'Inter', sans-serif;
}

.search-header {
    padding: 46px 80px 32px 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.search-header-title {
    font-size: 19px;
    line-height: auto;
}

.search-theme-subject {
    position: relative;
}

.search-theme-select {
    cursor: pointer;
    position: relative;
    padding: 11px 39px 13px 23px;
    background-color: var(--body-caption-off);
    border-radius: 24px;
    font-weight: 500;
    font-size: 12px;
    line-height: 100%;
    transition: all 1s ease;
    min-width: 126px;
    text-transform: lowercase;
    position: relative;
    color: #000000;
}

.search-theme-subject.active .search-theme-select {
    border-radius: 24px 24px 0 0;
}

.search-theme-select:after {
    position: absolute;
    content: '\e900';
    font-size: 4px;
    right: 22px;
    font-family: 'icomoon';
}

.search-theme-subject.active .subjects-list {
    max-height: 700px;
    overflow: auto;
    transition: all .5s ease;
}

.subjects-list {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: var(--body-caption-off);
    z-index: 10;
    max-height: 0;
    overflow: hidden;
    transition: all .5s ease;
}

.subjects-list .subject {
    color: var(--body-text);
    font-weight: 400;
    font-size: 16px;
    line-height: 16px;
    padding: 10px 15px;
    text-transform: lowercase;
}

.subjects-list .subject:hover {
    opacity: .5;
}

/* Search */
.search-switcher {
    display: flex;
    padding: 0 96px;
}

.switcher-item {
    padding: 8px 24px;
    border-bottom: 3px solid transparent;
    position: relative;
    bottom: -1px;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    font-family: "Inter", sans-serif;
    text-transform: lowercase;
    color: var(--body-subtext);
    cursor: pointer;
}

.switcher-item:after {
    position: absolute;
    content: "";
    height: 3px;
    max-width: 0;
    bottom: -2px;
    left: 0;
    background-color: var(--body-text);
    transition: .3s all ease;
}

.switcher-item.active:after,
.switcher-item:hover:after {
    max-width: 500px;
    width: 100%;
}

.switcher-item.active,
.switcher-item:hover {
    color: var(--body-text);
}

.search-result {
    min-height: 600px;
    position: relative;
    transition: .3s all ease;
}

.search-result.grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 20px;
    row-gap: 16px;
    width: 83%;
    margin: 0 auto;
    padding-top: 26px;
    padding-bottom: 26px;
    min-height: auto;
}

.search-result.loading {
    height: 200px;
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
}

.loader {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.res-item {
    display: flex;
    padding: 32px 96px;
    border-bottom: 3px solid #E5E7EA;
    /* min-height: 181px; */
    transition: .5s all ease;
    /* max-height: 181px; */
    overflow: hidden;
}

.res-item-date {
    display: flex;
}

.res-item.open {
    overflow: auto;
    padding-bottom: 56px;
    max-height: 1500px;
}

.res-item-description {
    padding-right: 24px;
}

.res-item-meta {
    margin-left: 24px;
    font-weight: 600;
    font-size: 14px;
    line-height: 16px;
    color: #646464;
    width: 130px;
    margin-top: 7px;
}

.res-item-desc {
    margin-left: 24px;
    max-width: 272px;
    width: 100%;
}

.res-desc-type,
.res-desc-price span {
    font-weight: 500;
}

.res-item-content {
    width: 100%;
    max-width: 371px;
}

.res-content-title {
    margin-bottom: 4px;
    font-size: 16px;
    line-height: 16px;
    font-weight: 600;
    font-family: "Inter", sans-serif;
    color: #646464;
}

.res-content-taxonomy-desc * {
    font-size: 13px;
    line-height: 16px;
    color: #616161;
}

.res-desc-type {
    font-weight: 600;
}

.res-item-content {
    margin-left: 24px;
}

.res-content-info,
.res-content-info font {
    font-weight: 400;
    font-size: 16px;
    line-height: 23px;
    color: var(--body-text);
    max-height: 50px;
    overflow: hidden;
    transition: .5s all ease;
}

.res-content-info * {
    margin: 0;
    font-size: 13px;
    line-height: 16px;
    color: #616161;
}

.res-item.open .res-content-info {
    max-height: 1500px;
    overflow: auto;
}

.res-item-action {
    min-width: 200px;
    max-width: 200px;
    width: auto;
    margin-left: auto;
    text-align: right;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
}

.res-item-action a {
    font-size: 13px;
    font-family: "Inter", sans-serif;
}

.res-item-open {
    color: #646464;
}

.res-item-buy {
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;
    letter-spacing: -0.01em;
    text-transform: lowercase;
    display: block;
    width: fit-content;
}

.res-item.open .res-item-buy {
    background-color: var(--body-text);
    color: #fff;
}

.transparent-btn-2-border {
    padding: 16px 32px;
    border: 1px solid var(--body-text);
    border-radius: 24px;
    color: var(--body-text);
}

.transparent-btn-2-border:hover,
.res-item.open .res-item-buy {
    background-color: var(--body-text);
    color: var(--body-text-off);
}

.solid-orange-btn {
    padding: 11.5px 32px;
    border-radius: 24px;
    color: white;
    background-color: var(--main-flame);
    transition: all .3s ease;
}

.solid-orange-btn:hover {
    opacity: .8;
    color: white;
}

.bad-request {
    padding: 32px 96px;
}

.bad-request p {
    max-width: 275px;
    width: 100%;
    font-weight: 500;
    font-size: 18px;
    line-height: 23px;
    color: #787F78;
}

.search-footer {
    height: 84px;
    background-color: var(--body-text);
    display: flex;
    justify-content: center;
    padding: 32px 96px;
}

.search-footer-col {
    width: 33.33%;
    margin: 0 12px;
}

.search-footer-col span,
.search-footer-col a {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: var(--body-caption-off);
}

.search-footer-col:nth-child(2) a {
    color: var(--body-subtext);
}

.search-footer-col:nth-child(1) {
    text-align: right;
}

.search-footer-col:nth-child(2) {
    text-align: center;
}

.search-footer-col:nth-child(3) {
    text-align: left;
}

.search-banner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #B3BAC4;
    background-color: var(--body-text);
    padding: 70px 96px;
}

.search-banner .search-banner-content {
    color: var(--second-green);
    margin-bottom: 0;
}

.search-banner-button {
    display: flex;
    flex-direction: column;
    row-gap: 16px;
}

.search-button {
    font-size: 17px;
    font-weight: 500;
    line-height: 24px;
    padding: 16px 56px;
}

.search-button.transparent-btn-border {
    border-color: var(--body-text-off);
    color: var(--body-text-off);
    text-transform: none;
}

.search-button.transparent-btn-border:hover,
.search-button.transparent-btn-border:focus,
.search-button.transparent-btn-border:active {
    color: var(--second-green);
    border-color: var(--second-green);
}

.res-item-date-box {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    align-items: center;
}

.res-item-year {
    font-weight: 400;
    font-size: 16px;
    line-height: 23px;
    color: var(--body-subtext);
}

/* Loader */
.lds-default {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}

.lds-default div {
    position: absolute;
    width: 6px;
    height: 6px;
    background: var(--main-lavanda);
    border-radius: 50%;
    animation: lds-default 1.2s linear infinite;
}

.lds-default div:nth-child(1) {
    animation-delay: 0s;
    top: 37px;
    left: 66px;
}

.lds-default div:nth-child(2) {
    animation-delay: -0.1s;
    top: 22px;
    left: 62px;
}

.lds-default div:nth-child(3) {
    animation-delay: -0.2s;
    top: 11px;
    left: 52px;
}

.lds-default div:nth-child(4) {
    animation-delay: -0.3s;
    top: 7px;
    left: 37px;
}

.lds-default div:nth-child(5) {
    animation-delay: -0.4s;
    top: 11px;
    left: 22px;
}

.lds-default div:nth-child(6) {
    animation-delay: -0.5s;
    top: 22px;
    left: 11px;
}

.lds-default div:nth-child(7) {
    animation-delay: -0.6s;
    top: 37px;
    left: 7px;
}

.lds-default div:nth-child(8) {
    animation-delay: -0.7s;
    top: 52px;
    left: 11px;
}

.lds-default div:nth-child(9) {
    animation-delay: -0.8s;
    top: 62px;
    left: 22px;
}

.lds-default div:nth-child(10) {
    animation-delay: -0.9s;
    top: 66px;
    left: 37px;
}

.lds-default div:nth-child(11) {
    animation-delay: -1s;
    top: 62px;
    left: 52px;
}

.lds-default div:nth-child(12) {
    animation-delay: -1.1s;
    top: 52px;
    left: 62px;
}

@keyframes lds-default {

    0%,
    20%,
    80%,
    100% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.5);
    }
}

@media screen and (max-width: 1150px) {
    .upcoming-event-info {
        padding: 32px 0 32px 56px;
    }

    .event-benefit {
        padding: 32px;
    }

    .benefit-content-box {
        max-width: calc(100% - 40px - 27px);
    }

    .extra-events {
        padding: 32px 56px;
    }

    .search-header {
        padding: 32px 56px 32px 56px;
    }

    .search-switcher {
        padding: 0 56px;
    }

    .res-item {
        padding: 32px 56px;
    }
}

@media screen and (max-width: 998px) {
    .banner_buttons {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
}

/* media */
@media screen and (min-width: 1024px) {
    .upcoming-event-info {
        background: none !important;
    }
}

@media screen and (max-width: 1024px) {
    .event-banner {
        max-height: none;
        border-radius: 32px !important;
        width: calc(100% - 32px) !important;
        grid-template-columns: 1fr;
    }

    .side-menu-actions {
        align-items: flex-end;
    }

    .benefit-box .benefit-arrow-box {
        top: 0;
    }

    .upcoming-event-info {
        padding: 32px;
        width: 100%;
    }

    .upcoming-title {
        font-size: 28px;
        max-width: none;
    }

    .upcoming-event-image {
        display: none;
    }

    .banner_buttons {
        display: flex;
        flex-direction: column;
        margin-top: 204px;
        align-items: center;
    }

    .banner_buttons .transparent-btn {
        margin-top: 16px;
    }

    .event-benefit {
        flex-direction: column;
        padding: 32px 25px;
    }

    .benefit-box {
        padding: 32px;
        width: 100%;
    }

    .benefit-title {
        margin-bottom: 8px;
    }

    .benefit-box:nth-child(2) {
        border-bottom: 1px solid var(--gray-400);
        border-top: 1px solid var(--gray-400);
        ;
        border-right: 0;
        border-left: 0;
    }

    .extra-events {
        flex-direction: column;
        margin-top: 0;
        padding: 48px 56px;
    }

    .extra-title {
        max-width: none;
        margin-right: 0;
        margin-bottom: 20px;
    }

    .extra-button {
        margin-top: 32px;
    }

    .extra-info {
        flex-direction: column;
    }

    .search-theme-subject,
    .search-theme-select {
        width: 100%;
    }

    .search-theme-select {
        text-align: center;
        margin-top: 32px;
    }

    .search-header {
        flex-direction: column;
        padding: 56px 25px 32px 25px;
        align-items: flex-start;
    }

    .search-switcher {
        padding: 0;
        width: 100%;
        overflow-x: auto;
        overflow-y: hidden;
    }

    .switcher-item {
        width: fit-content;
        padding: 16px;
        white-space: nowrap;
    }

    .res-item {
        padding: 32px 25px;
        flex-direction: column;
        /* min-height: 500px; */
        position: relative;
    }

    .res-item-desc,
    .res-item-content {
        max-width: none;
        margin-left: 0;
        margin-top: 26px;
    }

    .res-item-action {
        margin-left: 0;
        margin-top: 24px;
        width: 100%;
        max-width: none;
        align-items: center;
    }

    .res-item-description {
        margin-top: 24px;
    }

    .search-footer {
        padding: 16px 25px 32px 25px;
        height: auto;
        flex-direction: column;
    }

    .search-footer-col {
        width: 100%;
        text-align: center !important;
        margin-top: 16px;
    }

    .search-events {
        margin-bottom: 0;
    }

    .bad-request {
        padding: 32px 25px;
    }

    .footer-box {
        margin-top: 1px;
    }

    .search-banner {
        flex-direction: column;
        padding: 56px 25px;
        row-gap: 56px;
    }

    .search-banner-content {
        text-align: center;
    }
}

/**
* Side menu actions
*/
.side-menu-actions {
    display: flex;
    gap: 8px;
}

.grid-layout-actions {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 6px;
    padding: 8px 16px;
    background-color: var(--body-caption-off);
    border-radius: 24px;
    height: 36px;
}

.grid-layout-action,
.list-layout-action {
    width: 20px;
    height: 20px;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    cursor: pointer;
    opacity: 0.6;
    transition: all 0.3s ease;
}

.grid-layout-action.active,
.list-layout-action.active {
    opacity: 1;
    cursor: default;
    pointer-events: none;
}

.grid-layout-action {
    background-image: url("../../assets/images/grid-icon.svg");
}

.list-layout-action {
    background-image: url("../../assets/images/list-icon.svg");
}

/**
* Grid layout
*/
.res-item-grid {
    border-radius: 4px;
    overflow: hidden;
    background-color: white;
}

.res-item-grid-content {
    padding: 16px 24px 24px 24px;
    height: calc(100% - 140px);
    display: flex;
    flex-direction: column;
}

.res-item-grid .res-item-action {
    margin: auto 0 0 0;
    width: 100%;
    max-width: none;
    min-width: auto;
    align-self: flex-end;
}

.res-item-grid .res-item-action a {
    width: 100%;
    text-align: center;
}

.res-item-grid-content-title {
    font-size: 16px;
    line-height: 160%;
    color: #646464;
    font-family: "Inter", sans-serif;
    font-weight: 600;
    margin-bottom: 8px;
}

.res-item-grid .res-item-date {
    gap: 12px;
    margin-bottom: 12px;
}

.res-item-grid .res-item-meta {
    margin-left: 0;
    width: 100%;
}

.res-item-grid-image {
    height: 140px;
    width: 100%;
}

.res-item-grid-image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media screen and (max-width: 990px) {
    .search-result.grid {
        width: 95%;
    }
}

@media screen and (max-width: 768px) {
    .search-result.grid {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (max-width: 575px) {
    .search-result.grid {
        grid-template-columns: 1fr;
    }
}

